Retrieve SKU

View as Markdown
Retrieve a specific SKU (Stock Keeping Unit) by ID. SKUs represent unique hardware configurations discovered at sites. They are automatically derived from machine characteristics. For Infrastructure Providers: Org must have an Infrastructure Provider entity. User must have authorization role with `PROVIDER_ADMIN` or `PROVIDER_VIEWER` suffix. For Tenants: Org must have a Tenant with `TargetedInstanceCreation` capability enabled. User must have authorization role with `TENANT_ADMIN` suffix. The Tenant must have an account with the SKU's Site's Infrastructure Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
skuIdstringRequired
ID of the SKU

Response

OK
idstringOptionalRead-only
Unique identifier for the SKU
siteIdstringOptionalRead-onlyformat: "uuid"
ID of the Site this SKU belongs to
descriptionstringOptionalRead-only

Human-readable SKU description

schemaVersionuintOptionalRead-only>=0
Core SKU schema version when available
deviceTypestring or nullOptionalRead-only

Optional device type identifier (e.g. “gpu”, “cpu”, “storage”)

associatedMachineIdslist of stringsOptionalRead-only
List of machine IDs associated with this SKU
componentsobjectOptional
Hardware components of this SKU
createddatetimeOptionalRead-only

ISO 8601 datetime when the SKU was created, using the Site-reported timestamp when available

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error